@class NSObject;

@interface GFList : NSObject
{
    unsigned int _flags;
    unsigned int _capacity;
    unsigned int _count;
    id *_values;
    unsigned int *_hashValues;
    id *_keys;
    unsigned int *_hashKeys;
}

+ (id)list;
- (id)init;
- (id)initWithCapacity:(unsigned int)fp8;
- (id)initWithCapacity:(unsigned int)fp8 optionFlags:(unsigned int)fp12;
- (void)_finalize_GFList;
- (void)finalize;
- (void)dealloc;
- (unsigned int)count;
- (void)setObject:(id)fp8 forKey:(id)fp12;
- (void)insertObject:(id)fp8 atIndex:(unsigned int)fp12 forKey:(id)fp16;
- (void)addObject:(id)fp8 forKey:(id)fp12;
- (void)addEntriesFromList:(id)fp8;
- (void)addEntriesFromDictionary:(id)fp8;
- (void)removeAllObjects;
- (void)removeObject:(id)fp8;
- (void)removeObjectForKey:(id)fp8;
- (void)removeObjectAtIndex:(unsigned int)fp8;
- (id)objectForKey:(id)fp8;
- (id)keyForObject:(id)fp8;
- (id)objectAtIndex:(unsigned int)fp8;
- (unsigned int)indexOfObject:(id)fp8;
- (id)keyAtIndex:(unsigned int)fp8;
- (unsigned int)indexOfKey:(id)fp8;
- (id)description;
- (id)arrayOfKeys;
- (id)arrayOfObjects;
- (id)setOfObjects;
- (id)setOfKeys;
- (id)dictionary;
- (id)array;
- (void)_moveIndex:(unsigned int)fp8 toIndex:(unsigned int)fp12;
- (void)setIndex:(unsigned int)fp8 ofObject:(id)fp12;
- (void)_swapIndex:(unsigned int)fp8 withIndex:(unsigned int)fp12;
- (void)makeObjectsPerformSelector:(SEL)fp8;
- (void)makeObjectsPerformSelector:(SEL)fp8 withObject:(id)fp12;
- (void)sortUsingFunction:(void *)fp8 context:(void *)fp12;
- (void)applyFunction:(void *)fp8 context:(void *)fp12;
- (const id *)_values;
- (const id *)_keys;

@end