#import <QCPort.h>

@interface QCVirtualPort : QCPort
{
    id _value;	// 96 = 0x60
    BOOL _valueIsObject;	// 100 = 0x64
    unsigned int _lastObjectTimestamp;	// 104 = 0x68
    void *_unused3[2];	// 108 = 0x6c
}

+ (Class)baseClass;	// IMP=0x97aefae7
- (id)rawValue;	// IMP=0x97b051b3
- (void)setRawValue:(id)fp8;	// IMP=0x97aed1fa
- (BOOL)acceptValuesOfClass:(Class)fp8;	// IMP=0x97b28fe9
- (Class)valueClass;	// IMP=0x97b28ff0
- (id)stateValue;	// IMP=0x97b28ff7
- (BOOL)setStateValue:(id)fp8;	// IMP=0x97b28ffe

@end

